User group
List user groups
List the user groups of the workspace with their members.
GET
/
v1
/
user-groups
cURL
curl --request GET \
--url https://api.claap.io/v1/user-groups \
--header 'X-Claap-Key: <api-key>'import requests
url = "https://api.claap.io/v1/user-groups"
headers = {"X-Claap-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Claap-Key': '<api-key>'}};
fetch('https://api.claap.io/v1/user-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"userGroups": [
{
"userGroupId": "<string>",
"name": "<string>",
"memberUserIds": [
"<string>"
]
}
],
"pagination": {
"nextCursor": "<string>"
}
}
}Lists the user groups of the workspace, called teams in the app, with the identifiers of their members. Member identifiers are the user
id returned by the list users endpoint.Authorizations
Query Parameters
Paginate the results starting at the cursor returned by a previous call. Pages may contain fewer than "limit" results; iterate until no nextCursor is returned.
Return at most "limit" results.
Required range:
1 <= x <= 100Response
User groups were successfully retrieved
Show child attributes
Show child attributes
⌘I
cURL
